Manuell kompilering av Yaourt i Archlinux

Hilsen. Jeg håper dette 2015 vil være fullt av opplæringsprogrammer, tips og Geeks hjelp til alle brukerne som stadig legger ut og besøker dette nettstedet.

Rett før 00 00 hadde jeg noen problemer med yoghurt i min nye Archlinux-installasjon.

Hvis du lurer på Hvorfor installere på nytt hvis det er en Rullende release? Vel, jeg finner alltid ut nye ting, og i en av dem lastet jeg inn systemet. Jeg lagret de viktige filene (råd for å beholde det viktigste i skyen), og installerte Arch på nytt takket være guiden til Alexander ponce som fortsatt er nyttig i 2015, men jeg hadde ulempene Pacman oppdaterte til sin versjon

 .--. Pacman v4.2.0 - libalpm v9.0.0 / _.- '.-. .-. .-. Copyright (C) 2006-2014 Pacman Development Team \ '-. '-' '-' '-' Copyright (C) 2002-2006 Judd Vinet '-' Dette programmet kan distribueres fritt under vilkårene i GNU General Public License

Tilsynelatende for øyeblikket en av avhengighetene til yoghurt har ulemper, mener jeg pakke-spørring og jeg hadde ikke samlet manuelt før, så jeg begynte å søke, lese, spørre og teste.

Den beste guiden er imidlertid alltid hovedkilden til ethvert program, og denne gangen var løsningen på engelsk, men siden de er kommandoer, er det ingen oversettelse, men en ordre som kan følges for manuell kompilering.

Yaourt-samlingen

Sammensetning av pakke-spørring

krøll -O https://aur.archlinux.org/packages/pa/package-query/package-query.tar.gz tar zxvf package-query.tar.gz cd package-query makepkg -si cd ..

Sammensetning av yoghurt

krølle -O https://aur.archlinux.org/packages/ya/yaourt/yaourt.tar.gz tar zxvf yaourt.tar.gz cd yaourt makepkg -si cd ..

På slutten kan du oppdatere hele systemet for å sjekke at alt er i orden med en:

$ yaourt -Syyau

yaourt -Syyau - bekreft

Husk at yaourt kjøres som en vanlig bruker og ikke som root. Suksesser

Hentet fra det offisielle nettstedet til Yaourt: https://archlinux.fr/yaourt-en


Innholdet i artikkelen følger våre prinsipper for redaksjonell etikk. Klikk på for å rapportere en feil her.

9 kommentarer, legg igjen dine

Legg igjen kommentaren

Din e-postadresse vil ikke bli publisert. Obligatoriske felt er merket med *

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Kontroller SPAM, kommentaradministrasjon.
  3. Legitimering: Ditt samtykke
  4. Kommunikasjon av dataene: Dataene vil ikke bli kommunisert til tredjeparter bortsett fra ved juridisk forpliktelse.
  5. Datalagring: Database vert for Occentus Networks (EU)
  6. Rettigheter: Når som helst kan du begrense, gjenopprette og slette informasjonen din.

  1.   Rodolfo Martinez sa

    Det samme skjedde med meg i dag om morgenen mens jeg oppdaterte, jeg ville ha brukt innlegget ditt veldig bra før jeg hadde undersøkt på internett xD. Utmerket bidrag.

    1.    statisk sa

      Hvis jeg syntes det var praktisk å lage dette innlegget bare som en hjelp fordi jeg så at buebrukere etter oppdateringen oppstår det problemet

      Hilsen

  2.   davidlg sa

    Jeg bruker packer som er en av de store ukjente AUR-hjelperne, jeg synes det er mer behagelig og ikke så tungt når jeg vil installere et program.
    Jeg bruker det er enkelt, for eksempel bruker jeg nesten alltid
    $ packer programnavn

  3.   fernandoagonzalez sa

    Bra at det er en forfatter dedikert til Archlinux! Flott.

  4.   Stederr sa

    Takk, da jeg prøvde å oppdatere systemet etter flere måneder, var jeg redd for å se den feilen, heldigvis var løsningen ganske enkel og rask med instruksjonene du la.

    Forresten har jeg feil når jeg laster FromLinux ved hjelp av HTTPS (antar jeg på grunn av blokkering av usikkert innhold).

    Hilsen

  5.   Roberto sa

    Jeg hadde det samme problemet, takk for andelen

  6.   jony127 sa

    For en helvete distro ………

  7.   Francisco sa

    Og hva var feilen du hadde med pacman og yaourt ???, jeg hadde problemer, og det ga meg denne feilen:

    krøllfeil: Kunne ikke koble til serveren

    Men jeg fikset det, redigerte filen /etc/hosts legge til følgende:

    5.9.250.164 aur.archlinux.org

  8.   jose sa

    Jeg prøver å kompilere den for bringebæret, og det gir meg følgende feil:
    / home / viruspi / package-query / PKGBUILD: line 16: make: command not found
    ==> FEIL: Det var en krasj i build ().
    Avbryter ...